/*
*   \file
*   \remarks Device certificate parser APIs Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Device certificate parser
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef DEVCERTPARSER_TST_API_H
#define DEVCERTPARSER_TST_API_H

DRM_RESULT DCP_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT DCP_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT TEST_API_DevCertGetAttribute(long argc, char **argv);
DRM_RESULT TEST_API_DevCertVerifyDeviceCert(long argc, char **argv);
DRM_RESULT TEST_ChangeDevcertNode(long argc, char **argv);
DRM_RESULT TEST_RollForwardClockInYears(long argc, char **argv);

#endif

